opensaml-3.0.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
opensaml::saml1p::SAML1SOAPClient Class Reference

Client class for SAML 1.x SOAP binding. More...

`#include <saml/saml1/binding/SAML1SOAPClient.h>`

Collaboration diagram for opensaml::saml1p::SAML1SOAPClient:
[legend]

## Public Member Functions
| SAML1SOAPClient (SOAPClient &soaper, bool fatalSAMLErrors=true)
| Constructor. More...
virtual void | sendSAML (Request *request, const char *from, saml2md::MetadataCredentialCriteria &to, const char *endpoint)
| Specialized method for sending SAML 1.x requests. More...
virtual Response * | receiveSAML ()
| Specialized method for receiving SAML 1.x responses. More...

## Protected Member Functions
virtual bool | handleError (const Status &status)
| Handling of SAML errors. More...

## Protected Attributes
SOAPClient & | m_soaper
| SOAP client object.
bool | m_fatal
| Flag controlling default error handler.

## Detailed Description

Client class for SAML 1.x SOAP binding.

## Constructor & Destructor Documentation

## ◆ SAML1SOAPClient()

opensaml::saml1p::SAML1SOAPClient::SAML1SOAPClient | ( | SOAPClient & | soaper,
|  | bool | fatalSAMLErrors = `true`
| ) |  |

Constructor.

Parameters

  soaper | reference to SOAPClient object to use for call
  fatalSAMLErrors | true iff a non-successful SAML Status code should be fatal

## Member Function Documentation

## ◆ handleError()

virtual bool opensaml::saml1p::SAML1SOAPClient::handleError | ( | const Status & | status | ) |
| protected virtual

Handling of SAML errors.

Parameters

  status | SAML Status received by client

Returns
  true iff the error should be treated as a fatal error

## ◆ receiveSAML()

virtual Response * opensaml::saml1p::SAML1SOAPClient::receiveSAML | ( |  | ) |
| virtual

Specialized method for receiving SAML 1.x responses.

The SOAP layer will be evaluated automatically, and the attached policy will be applied to the Response.

The caller is responsible for freeing the Response.

Returns
  SAML 1.x Response, after SecurityPolicy has been applied

## ◆ sendSAML()

virtual void opensaml::saml1p::SAML1SOAPClient::sendSAML | ( | Request * | request,
|  | const char * | from,
|  | saml2md::MetadataCredentialCriteria & | to,
|  | const char * | endpoint
| ) |  |
| virtual

Specialized method for sending SAML 1.x requests.

The SOAP layer will be constructed automatically.

The request will be freed by the client object regardless of the outcome.

Parameters

  request | SAML request to send
  from | identity of sending application
  to | peer to send message to, expressed in metadata criteria terms
  endpoint | URL of endpoint to recieve message

The documentation for this class was generated from the following file:

- saml/saml1/binding/SAML1SOAPClient.h